### Constructor

# Gtk PropertyExpressionnew_for_pspec

#### Declaration [src]

    GtkExpression*
    gtk_property_expression_new_for_pspec (
      GtkExpression* expression,
      GParamSpec* pspec
    )

#### Description [src]

Creates an expression that looks up a property.

The object to use is found by evaluating the `expression`, or using the `this` argument when `expression` is `NULL`.

If the resulting object conforms to `this_type`, its property specified by `pspec` will be queried. Otherwise, this expression’s evaluation will fail.

#### Parameters

`expression`

  Type: `GtkExpression`

  Expression to evaluate to get the object to query or `NULL` to query the `this` object.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`pspec`

  Type: `GParamSpec`

  The `GParamSpec` for the property to query.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkPropertyExpression`

A new `GtkExpression`

The caller of the function takes ownership of the data, and is responsible for freeing it.